Request body
- Content-Type
- application/json
- Schema
- object
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"handle": {
"type": "string"
},
"modelImageDefinitionId": {
"type": "string",
"nullable": true,
"format": "uuid"
},
"artifactId": {
"type": "string",
"format": "uuid"
},
"policyFamily": {
"type": "string",
"enum": [
"act",
"smolvla",
"diffusion",
"pi0",
"pi05",
"openpi-jax",
"mock"
]
},
"trainConfigName": {
"type": "string",
"nullable": true
},
"jointOrder": {
"type": "array",
"items": {
"type": "string"
}
},
"compatibleEmbodimentCodes": {
"type": "array",
"items": {
"type": "string"
}
},
"actionDim": {
"type": "number",
"minimum": 1
},
"chunkSize": {
"type": "number",
"minimum": 1
},
"minGpuMemoryGb": {
"type": "number",
"minimum": 0
},
"wireProtocols": {
"type": "array",
"minItems": 1,
"items": {
"type": "string"
},
"enum": [
"openpi-ws",
"lerobot-grpc"
]
},
"paramsSnapshot": {
"type": "object",
"additionalProperties": true,
"nullable": true
}
},
"required": [
"name",
"artifactId",
"policyFamily"
]
}Responses
| Status | Description | Content-Type | Schema |
|---|
| 201 | Success | application/json | object |
| 400 | Bad request. Enumerated catalog codes for this operation. | application/problem+json | union |
| 401 | Authentication failed. A specific TOKEN_* cause is returned only when the presented hash matched a stored row. | application/problem+json | union |
| 403 | Authorization failed. PERMISSION_DENIED on an any-of route lists the alternatives in message. | application/problem+json | union |
| 409 | Conflict. Enumerated catalog codes for this operation. | application/problem+json | union |
| 429 | Authenticated per-principal or per-tenant request budget exceeded. Rate-limit headers appear only on 429. | application/problem+json | union |
{
"type": "object",
"properties": {
"data": {
"$ref": "#/components/schemas/ModelVersionSummaryDto"
}
},
"required": [
"data"
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
400
]
},
"code": {
"type": "string",
"enum": [
"BAD_REQUEST",
"IDEMPOTENCY_KEY_INVALID",
"IF_MATCH_INVALID",
"IMPORTED_CHECKPOINT_INCOMPLETE",
"IMPORTED_CHECKPOINT_INVALID_PATH",
"MODEL_BUNDLE_OBJECTS_REQUIRED",
"MODEL_BUNDLE_PREFIX_INVALID",
"MODEL_BUNDLE_PREFIX_REQUIRED",
"MODEL_VERSION_INVALID_STATUS",
"TENANT_CONTEXT_MISMATCH",
"TENANT_REQUIRED",
"TRAINING_JOB_HAS_NO_OUTPUT_ARTIFACT",
"TRAINING_JOB_NOT_COMPLETED",
"VALIDATION_ERROR"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/PublishedAuthProblem"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
401
]
},
"code": {
"type": "string",
"enum": [
"TOKEN_MALFORMED",
"TOKEN_NOT_FOUND",
"TOKEN_EXPIRED",
"TOKEN_REVOKED",
"UNAUTHORIZED",
"SESSION_EXPIRED",
"ACTIVATION_REQUIRED",
"MFA_REQUIRED"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/PublishedAuthProblem"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
403
]
},
"code": {
"type": "string",
"enum": [
"PERMISSION_DENIED",
"PERMISSION_NOT_DECLARED",
"FORBIDDEN",
"MEMBERSHIP_NOT_FOUND",
"MEMBERSHIP_DISABLED",
"MEMBERSHIP_EXPIRED",
"PROJECT_MEMBERSHIP_EXPIRED"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
409
]
},
"code": {
"type": "string",
"enum": [
"IDEMPOTENCY_CONFLICT",
"MODEL_BUNDLE_JOB_NOT_RUNNING"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/PublishedAuthProblem"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
429
]
},
"code": {
"type": "string",
"enum": [
"RATE_LIMITED"
]
}
}
}
]
}